PTH-CONFIG(1)

NAME
pth-config - Pth library build utility

VERSION
GNU Pth .0.2 (12-Sep-2004)

SYNOPSIS
pth-config [--help] [--version] [--all] [--prefix] [--exec-prefix] [--bindir] [--libdir] [--includedir] [--mandir] [--datadir] [--acdir] [--cflags] [--ldflags] [--libs]

DESCRIPTION
The pth-config program is a little helper utility for easy configuring and building applications based on the pth(3) library. It can be used to query the C compiler and linker flags which are required to correctly compile and link the application against the pth(3) library.

OPTIONS
pth-config accepts the following options:

--help
    Prints the short usage information.

--version
    Prints the version number and date of the installed pth(3) library.

--all
    Forces the output of all flags, that is, including extra flags which are not Pth specific.

--prefix
    Prints the installation prefix of architecture independent files

--exec-prefix
    Prints the installation prefix of architecture dependent files.

--bindir
    Prints the installation directory of binaries.

--libdir
    Prints the installation directory of libraries.

--includedir
    Prints the installation directory of include headers.

--mandir
    Prints the installation directory of manual pages.

--datadir
    Prints the installation directory of shared data.

--acdir
    Prints the installation directory of autoconf data.

--cflags
    Prints the C compiler flags which are needed to compile the pth(3)-based application. The output is usually added to the "CFLAGS" variable of the applications "Makefile".

--ldflags
    Prints the linker flags ("-L") which are needed to link the application with the pth(3) library. The output is usually added to the "LDFLAGS" variable of the applications "Makefile".

--libs
    Prints the library flags ("-l") which are needed to link the application with the pth(3) library. The output is usually added to the "LIBS" variable of the applications "Makefile".

EXAMPLE
 CC      = cc
 CFLAGS  = -O `pth-config --cflags`
 LDFLAGS = `pth-config --ldflags`
 LIBS    = -lm `pth-config --libs`

 all: foo
 foo: foo.o
     $(CC) $(LDFLAGS) -o foo foo.o $(LIBS)
 foo.o: foo.c
     $(CC) $(CFLAGS) -c foo.c

SEE ALSO
pth(3), cc(1).

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com